Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMdiArea.WindowOrder

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMdiArea.WindowOrder

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMdiArea

    public static final class QMdiArea.WindowOrder

extends java.lang.Enum
implements QtEnumerator

Specifies the criteria to use for ordering the list of child windows returned by `subWindowList()`. The functions `cascadeSubWindows()` and `tileSubWindows()` follow this order when arranging the windows.

See also:
  `subWindowList()`.

See Also:
  Serialized Form

Field Summary
`static QMdiArea.WindowOrder` | `ActivationHistoryOrder` The windows are returned in the order in which they were activated.
`static QMdiArea.WindowOrder` | `CreationOrder` The windows are returned in the order of their creation.
`static QMdiArea.WindowOrder` | `StackingOrder` The windows are returned in the order in which they are stacked, with the top-most window being last in the list.

Method Summary
`static QMdiArea.WindowOrder` | `resolve(int value)` Returns the QMdiArea$WindowOrder constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiArea.WindowOrder` | `valueOf(java.lang.String name)`
`static QMdiArea.WindowOrder[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CreationOrder

    public static final QMdiArea.WindowOrder CreationOrder

  The windows are returned in the order of their creation.

### StackingOrder

    public static final QMdiArea.WindowOrder StackingOrder

  The windows are returned in the order in which they are stacked, with the top-most window being last in the list.

### ActivationHistoryOrder

    public static final QMdiArea.WindowOrder ActivationHistoryOrder

  The windows are returned in the order in which they were activated.

Method Detail

### values

    public static QMdiArea.WindowOrder[] values()

### valueOf

    public static QMdiArea.WindowOrder valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMdiArea.WindowOrder resolve(int value)

  Returns the QMdiArea$WindowOrder constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD